%% Test the following program 

TstX = rand(500, param.lDim); 
TstX = TstX./repmat(sqrt(sum(TstX.^2, 2))+eps, 1, param.lDim);
TstY = TstX*W(:, 1:param.hDim); 

TstA = computeA(TstX, C, Sig);

OutY = TstA*D; 


TstA = computeA(TstX, NewC, NewSig);

NewY = TstA*OldD; 

disp(norm(TstY(:) - OutY(:))); 
disp(norm(TstY(:) - NewY(:))); 


